## muroard 0.1.0

=== Makefile ===
include Makefile.conf


BIN=muroard
MANPAGE=$(BIN).1

TARGETS=$(BIN)

OBJS=muroard.o para.o network.o waveform.o proto.o driver.o dsp.o clients.o streams.o

CFLAGS  += -Wall -Wextra $(fPIC) -g
LDFLAGS += -Wall -Wextra

NETLIBS  = $(lib_wsock32) $(lib_ws2_32)
LIBS    += $(NETLIBS)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
distclean: clean
	rm -f Makefile.conf config.log

new: clean all

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man1'

install: all prep-install-dirs
	cp $(cp_v) $(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'

semi-install: all prep-install-dirs
	ln -fs `pwd`/$(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	ln -fs `pwd`/$(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'

uninstall:
	rm -f '$(DESTDIR)$(PREFIX_BIN)'/$(BIN)
	rm -f '$(DESTDIR)$(PREFIX_MAN)'/man1/$(MANPAGE)

muroard: $(OBJS)
	${CC} ${LDFLAGS} -o muroard $(OBJS) ${LIBS}
