## muroard 0.1~beta3

=== debian/changelog ===
muroard (0.1~beta3-1) unstable; urgency=high

  * New upstream release.
  * Create in postinst a systemuser muroard, this fixes a critical installation
    error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 20 Apr 2010 20:58:18 +0200

muroard (0.1~beta2-1) unstable; urgency=low

  * New upstream release.
    - Add 01-fix_man_hyphens.diff to fix hypen-used-as-minus-sign errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 04 Apr 2010 12:17:15 +0200

muroard (0.1~beta1-1) unstable; urgency=low

  * Initial release.
    Closes: #574895

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Mar 2010 00:16:03 +0100
