=== debian/control ===
Source: muroard
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7), libmuroar-dev
Standards-Version: 3.8.4
Section: sound
Homepage: http://roaraudio.keep-cool.org/

Package: muroard
Architecture: any
Provides: roaraudio-server
Suggests: roaraudio, libmuroar0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist RoarAudio sound daemon
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This is a minimalist version of a RoarAudio sound daemon.

Package: muroard-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, muroard (= ${binary:Version})
Description: minimalist RoarAudio sound daemon (debugging symbols)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides debugging symbols for the muroard package.
