## muroard 0.1.0

=== debian/changelog ===
muroard (0.1.0-5) unstable; urgency=high

  * Wait for the daemon to terminate on stop. Fixes user removal in purge.
    Closes: #608812

 -- Philipp Schafft <lion@lion.leolix.org>  Wed,  5 Jan 2011 20:41:31 +0100

muroard (0.1.0-4) unstable; urgency=low

  * Do not override the old CFLAGS, which was introduced by fixing #598272.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Oct 2010 17:43:45 +0200

muroard (0.1.0-3) unstable; urgency=low

  * Fixed a segfault introduced by debian patches
    triggered by newer versions of libao.
    Closes: #598272
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Philipp Schafft <lion@lion.leolix.org>  Tue, 28 Sep 2010 00:36:10 +0200

muroard (0.1.0-2) unstable; urgency=low

  [ Philipp Schafft ]
  * Added patch 01-use-libao.diff which changes the used driver to libao
    Closes: #592911

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Aug 2010 18:15:37 +0200

muroard (0.1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Add upstream author Philipp Schafft as uploader.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Jul 2010 22:39:43 +0200
