=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: muroard
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7), libmuroar-dev
-Standards-Version: 3.8.4
+Uploaders: Philipp Schafft <lion@lion.leolix.org>
+Build-Depends: debhelper (>= 7), libmuroar-dev, libao-dev (>= 1.0.0)
+Standards-Version: 3.9.1
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/
