=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,14 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+CFLAGS = -g -Wall -Wextra -DHAVE_LIBAO_MATRIX
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
 
 config.status:
 	dh_testdir
@@ -11,7 +19,7 @@
 build: build-stamp
 build-stamp: config.status
 	dh_testdir
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)"
 	cp dist/debian-like/muroard debian/muroard.init
 	cp dist/debian-like/defaults debian/muroard.default
 	touch build-stamp
