## muroard 0.1.7

=== Makefile ===
include Makefile.conf

LIBNAME=libmuroard

SOVERSION = 1

PREFIX_CKPORT=$(PREFIX_LIB)/ckport/db/

SLIB_BASE=$(LIBNAME)$(SHARED_SUFFIX)
SLIB=$(SLIB_BASE).$(SOVERSION)
ALIB=$(LIBNAME).a

BIN=muroard
MANPAGE=$(BIN).1

CKPORTDB=$(LIBNAME).ckport

TARGETS=$(ALIB) $(BIN)

ifeq ($(BUILD_SHARED),true)
TARGETS += $(SLIB)
endif

HEADER=muroard.h clients.h deps.h driver.h dsp.h features.h memmgr.h network.h para.h proto.h streams.h waveform.h

OBJS_CF=cf_au.o cf_riff_wave.o
OBJS=muroard.o para.o network.o waveform.o proto.o dsp.o clients.o streams.o memmgr.o $(OBJS_CF)
OBJS_DRIVER=driver.o
OBJS_MAIN=main.o

DEFINES += -DPACKAGE_VERSION="\"$(VERSION)\"" -DDEVICE_VENDOR_ID=$(DEV_VENDOR) -DDEVICE_VENDOR_NAME="\"$(DEV_VENDOR_NAME)\"" -DDEVICE_VENDOR_STRING="\"$(DEV_VENDOR_STRING)\"" -DDISTRIBUTION_VERSION_STRING="\"$(DISTRIBUTION_VERSION_STRING)\"" $(TARGET_MICROCONTROLLER) $(DRIVER_def)
CFLAGS  += -Wall -Wextra $(fPIC) -g -O2 $(INCPATH) $(DEFINES)
LDFLAGS += -Wall -Wextra -g -O2 $(LDPATH)

NETLIBS  = $(lib_wsock32) $(lib_ws2_32)
LIBS    += $(NETLIBS) $(DRIVER_LIBS)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
distclean: clean
	rm -f Makefile.conf config.log

new: clean all

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'/muroard
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man1'
	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'

install: all prep-install-dirs
	cp $(cp_v) $(SLIB)    '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(ALIB)    '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(HEADER)  '$(DESTDIR)$(PREFIX_INC)/muroard/'
	cp $(cp_v) $(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'
	cp $(cp_v) $(CKPORTDB) '$(DESTDIR)$(PREFIX_CKPORT)'
	ln -s $(SLIB) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)

semi-install: all prep-install-dirs
	ln -fs `pwd`/$(SLIB)    '$(DESTDIR)$(PREFIX_LIB)'
	ln -fs `pwd`/$(ALIB)    '$(DESTDIR)$(PREFIX_LIB)'
	set -e; for i in $(HEADER); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_INC)/muroard/'; done
	ln -fs `pwd`/$(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	ln -fs `pwd`/$(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'
	ln -fs `pwd`/$(CKPORTDB) '$(DESTDIR)$(PREFIX_CKPORT)'
	ln -s $(SLIB) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)

uninstall:
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB)
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(ALIB)
	rm -fr '$(DESTDIR)$(PREFIX_INC)/muroard/'
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
	rm -f  '$(DESTDIR)$(PREFIX_BIN)'/$(BIN)
	rm -f  '$(DESTDIR)$(PREFIX_MAN)'/man1/$(MANPAGE)
	rm -f '$(DESTDIR)$(PREFIX_CKPORT)'/$(CKPORTDB)

muroard: $(OBJS) $(OBJS_DRIVER) $(OBJS_MAIN)
	${CC} ${LDFLAGS} -o muroard $(OBJS) $(OBJS_DRIVER) $(OBJS_MAIN) ${LIBS}

$(SLIB): ${OBJS} ${OBJS_BACKEND}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(SLIB) -o $(SLIB) ${OBJS} ${OBJS_BACKEND} ${LIBS}
$(ALIB): ${OBJS} ${OBJS_BACKEND}
	${AR} cru $(ALIB) ${OBJS} ${OBJS_BACKEND}
	${RANLIB} $(ALIB)

driver.o: driver.c driver_*.c
