=== debian/changelog ===
muroard (0.1.7-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Fixes startup error on some systems as less memory needs to be locked.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Jul 2011 19:19:03 +0200

muroard (0.1.6-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added standby mode which should reduce power consumption.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 09 Jul 2011 14:06:15 +0200

muroard (0.1.5-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 21 Jun 2011 19:46:26 +0200

muroard (0.1.4-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 17:21:30 +0200

muroard (0.1.4-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Allow users to stop the daemon even if starting is disabled in defaults
    file.
    Closes: #613772

  [ Patrick Matthäi ]
  * Move CFLAGS to the beginning to prevent a FTBFS.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 27 Feb 2011 17:56:34 +0100

muroard (0.1.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Feb 2011 18:28:33 +0100

muroard (0.1.3-1) experimental; urgency=high

  [ Philipp Schafft ]
  * New upstream release.
    - Wait for the daemon to terminate on stop. Fixes user removal in purge.
      Closes: #608812

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 22 Jan 2011 16:17:34 +0100

muroard (0.1.2-1) experimental; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Fixes small memory leak in used libao driver.

  [ Patrick Matthäi ]
  * Bump build dependency on libmuroar-dev to >= 0.1.3.
  * Update patch 01-use-libao.diff.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 15 Dec 2010 18:20:43 +0100

muroard (0.1.1-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 02-libao4-matrix.diff.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 01 Nov 2010 12:08:23 +0100
