=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
-Build-Depends: debhelper (>= 7), libmuroar-dev, libao-dev (>= 1.0.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7),
+ libmuroar-dev (>= 0.1.3),
+ libao-dev (>= 1.0.0),
+ hardening-wrapper
+Standards-Version: 3.9.2
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/
