=== debian/rules ===
--- 
+++ 
@@ -2,24 +2,24 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
-CFLAGS = -g -Wall -Wextra -DHAVE_LIBAO_MATRIX
+CFLAGS = -DHAVE_LIBAO_MATRIX
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')
 
 config.status:
 	dh_testdir
-	./configure --prefix /usr
+	CFLAGS="$(CFLAGS)" ./configure --prefix /usr --driver libao \
+	--distribution-version-string "Debian-$(DEB_VERSION)"
 	touch config.status
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
-	$(MAKE) CFLAGS="$(CFLAGS)"
+	$(MAKE)
 	cp dist/debian-like/muroard debian/muroard.init
 	cp dist/debian-like/defaults debian/muroard.default
 	touch build-stamp
@@ -65,4 +65,4 @@
 	@@uscan --force-download --destdir ../tarballs
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install
