=== debian/changelog ===
muroard (0.1.9-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added ogg_vorbis support via libvorbisfile.
    - Build includes everything needed as library.
      Added new binary packages libmuroard2 and muroard-dev.

  [ Patrick Matthäi ]
  * Wrap all control fields.
  * Add patch 01-hyphen-used-as-minus to fix lintian warning
    hyphen-used-as-minus-sign.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 Nov 2011 14:24:17 +0100

muroard (0.1.8-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added DECnet support.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Sep 2011 15:29:40 +0200
