=== debian/control ===
Source: muroard
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Philipp Schafft <lion@lion.leolix.org>
Build-Depends: debhelper (>= 7),
 libmuroar-dev (>= 0.1.3),
 libao-dev (>= 1.0.0),
 libdnet-dev [linux-any],
 libvorbis-dev,
 hardening-wrapper
Standards-Version: 3.9.2
Section: sound
Homepage: http://roaraudio.keep-cool.org/

Package: muroard
Architecture: any
Provides: roaraudio-server
Suggests: roaraudio,
 libmuroar0
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: minimalist RoarAudio sound daemon
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This is a minimalist version of a RoarAudio sound daemon.

Package: muroard-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 muroard (= ${binary:Version}),
 libmuroard2 (= ${binary:Version})
Description: minimalist RoarAudio sound daemon (debugging symbols)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides debugging symbols for the muroard package.

Package: libmuroard2
Section: libs
Architecture: any
Priority: extra
Suggests: roaraudio,
 libmuroar0
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: minimalist RoarAudio sound daemon (library package)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides librarys needed to embed muRoarD into an existing
 application (as thread).

Package: muroard-dev
Section: devel
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 libmuroard2 (= ${binary:Version})
Description: minimalist RoarAudio sound daemon (development files)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides development files needed to embed muRoarD into an
 existing application (as thread).
