=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,8 @@
 	dh_testroot -a
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
-	dh_install -a
 	dh_installman -a
+	dh_install -a --list-missing
 	dh_installinit -a
 	dh_strip -a --dbg-package=muroard-dbg
 	dh_compress -a
