## muroard 0.1.10

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 LIBNAME=libmuroard
 
-SOVERSION = 2
+SOVERSION = 3
 
 PREFIX_CKPORT=$(PREFIX_LIB)/ckport/db/
 
@@ -26,7 +26,7 @@
 TARGETS += $(SLIB) $(SLIB_BKEND)
 endif
 
-HEADER=muroard.h clients.h deps.h driver.h dsp.h features.h memmgr.h network.h para.h proto.h streams.h waveform.h
+HEADER=muroard.h clients.h deps.h driver.h dsp.h features.h memmgr.h network.h para.h proto.h streams.h waveform.h callbacks.h cf.h state.h
 
 OBJS_CF=cf_au.o cf_riff_wave.o cf_ogg_vorbis.o
 OBJS=muroard.o para.o network.o waveform.o proto.o dsp.o clients.o streams.o memmgr.o $(OBJS_CF)
