=== debian/changelog ===
muroard (0.1.10-2) unstable; urgency=low

  * Remove Philipp as co-maintainer.
    Closes: #682877

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 Jul 2012 09:53:15 +0200

muroard (0.1.10-1) unstable; urgency=low

  * New upstream release.
  * Renamed libmuroard2 to libmuroard3 because of SONAME change.
  * Removed patch 01-hyphen-used-as-minus as it is now in upstream.

 -- Philipp Schafft <lion@lion.leolix.org>  Tue, 15 May 2012 12:44:07 +0200

muroard (0.1.9-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Add lintian override about no-symbols-control-file.
  * Add patch 02-init-status, which adds the status option to the init script.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 25 Feb 2012 10:30:21 +0100
