=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: muroard
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7),
  libmuroar-dev (>= 0.1.3),
  libao-dev (>= 1.0.0),
  libdnet-dev [linux-any],
  libvorbis-dev,
  hardening-wrapper
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/
 
@@ -32,7 +31,7 @@
 Priority: extra
 Depends: ${misc:Depends},
  muroard (= ${binary:Version}),
- libmuroard2 (= ${binary:Version})
+ libmuroard3 (= ${binary:Version})
 Description: minimalist RoarAudio sound daemon (debugging symbols)
  RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
  from different clients before sending it to its outputs (for example a
@@ -40,7 +39,7 @@
  .
  This package provides debugging symbols for the muroard package.
 
-Package: libmuroard2
+Package: libmuroard3
 Section: libs
 Architecture: any
 Priority: extra
@@ -61,7 +60,7 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends},
- libmuroard2 (= ${binary:Version})
+ libmuroard3 (= ${binary:Version})
 Description: minimalist RoarAudio sound daemon (development files)
  RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
  from different clients before sending it to its outputs (for example a
