=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	dh_installman -a
 	dh_install -a --list-missing
 	dh_installinit -a
+	dh_lintian -a
 	dh_strip -a --dbg-package=muroard-dbg
 	dh_compress -a
 	dh_fixperms -a
