=== debian/watch ===
version=3
http://roaraudio.keep-cool.org/downloads.html dl/muroard-(.*)\.tar\.gz
