## muroard 0.1.12

=== debian/changelog ===
muroard (0.1.12-3) unstable; urgency=low

  * Bump debian/compat to level 9.
  * Uploading to unstable.
  * Migrate package to minimal debhelper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 18 May 2013 22:23:39 +0200

muroard (0.1.12-2) experimental; urgency=low

  * Fix spelling error in long description of libmuroard3 package.
    Closes: #650177

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 Dec 2012 10:14:34 +0100

muroard (0.1.12-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Mangle post in upstream release name in debian/watch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 10 Dec 2012 14:24:57 +0100

muroard (0.1.11-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 Sep 2012 08:47:09 +0200
