=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--driver libao \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
	cp dist/debian-like/muroard debian/muroard.init
	cp dist/debian-like/defaults debian/muroard.default

override_dh_strip:
	dh_strip --dbg-package=muroard-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz
