## muroard 0.1.14

=== Makefile ===
--- 
+++ 
@@ -57,28 +57,36 @@
 	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'
 
 install: all prep-install-dirs
+ifeq ($(BUILD_SHARED),true)
 	cp $(cp_v) $(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'
+	cp $(cp_v) $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
+endif
 	cp $(cp_v) $(ALIB)       '$(DESTDIR)$(PREFIX_LIB)'
-	cp $(cp_v) $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
 	cp $(cp_v) $(ALIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
 	cp $(cp_v) $(HEADER)     '$(DESTDIR)$(PREFIX_INC)/muroard/'
 	cp $(cp_v) $(BIN)        '$(DESTDIR)$(PREFIX_BIN)'
 	cp $(cp_v) $(MANPAGE)    '$(DESTDIR)$(PREFIX_MAN)/man1/'
 	cp $(cp_v) $(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
+ifeq ($(BUILD_SHARED),true)
 	ln -fs $(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
 	ln -fs $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BKEND_BASE)
+endif
 
 semi-install: all prep-install-dirs
+ifeq ($(BUILD_SHARED),true)
 	ln -fs `pwd`/$(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'
 	ln -fs `pwd`/$(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
+endif
 	ln -fs `pwd`/$(ALIB)       '$(DESTDIR)$(PREFIX_LIB)'
 	ln -fs `pwd`/$(ALIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
 	set -e; for i in $(HEADER); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_INC)/muroard/'; done
 	ln -fs `pwd`/$(BIN)        '$(DESTDIR)$(PREFIX_BIN)'
 	ln -fs `pwd`/$(MANPAGE)    '$(DESTDIR)$(PREFIX_MAN)/man1/'
 	ln -fs `pwd`/$(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
+ifeq ($(BUILD_SHARED),true)
 	ln -fs $(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
 	ln -fs $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BKEND_BASE)
+endif
 
 uninstall:
 	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB)
