=== debian/changelog ===
muroard (0.1.14-5) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1:
    - Switch packages from priority extra to optional.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Nov 2017 11:04:27 +0100

muroard (0.1.14-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Bump debian/compat to level 10.
  * Remove triggers file again.
  * Use pkg-info.mk to determine DEB_VERSION.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Jul 2017 14:07:37 +0200

muroard (0.1.14-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).
  * Enable full hardening.
  * Add patch 01-spelling-errors to fix a spelling error.
  * Add missing dependency on lsb-base.
  * Use debhelper triggers.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:47:10 +0100

muroard (0.1.14-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Remove libdnet support, it will be removed soon.
  * Remove deprecated hardening-wrapper.
  * Update to the DEP5 debian/copyright format.
  * Remove .comment section from libmuroard.a.
  * Add multi arch support.
  * Add GPG signature check for uscan.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Jul 2015 21:05:39 +0200

muroard (0.1.14-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash in parsing argv arguments.
      Closes: #716570
    - Drop merged patch 02-init-status.
    - Drop merged patch 03-init-source-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Sep 2013 10:37:05 +0200

muroard (0.1.13-1) unstable; urgency=low

  * New upstream release.
  * Override dh_auto_clean.
  * Add patch 03-init-source-functions to fix lintian warning
    init.d-script-does-not-source-init-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 29 Aug 2013 11:27:38 +0200
