=== debian/control ===
Source: muroard
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 10),
 libmuroar-dev (>= 0.1.3),
 libao-dev (>= 1.0.0),
 libvorbis-dev
Standards-Version: 4.1.1
Section: sound
Homepage: http://roaraudio.keep-cool.org/

Package: muroard
Architecture: any
Provides: roaraudio-server
Suggests: roaraudio,
 libmuroar0
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lsb-base
Description: minimalist RoarAudio sound daemon
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This is a minimalist version of a RoarAudio sound daemon.

Package: libmuroard3
Section: libs
Architecture: any
Multi-Arch: allowed
Suggests: roaraudio,
 libmuroar0
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: minimalist RoarAudio sound daemon (library package)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides libraries needed to embed muRoarD into an existing
 application (as thread).

Package: muroard-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
 libmuroard3 (= ${binary:Version})
Description: minimalist RoarAudio sound daemon (development files)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides development files needed to embed muRoarD into an
 existing application (as thread).
