=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--prefix-lib /usr/lib/$(DEB_HOST_MULTIARCH)/ \
	--driver libao \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile.conf ] || $(MAKE) distclean

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
	cp dist/debian-like/muroard debian/muroard.init
	cp dist/debian-like/defaults debian/muroard.default

override_dh_install:
	dh_install
	strip --remove-section=.comment \
		$(CURDIR)/debian/muroard-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libmuroard.a
	strip --remove-section=.comment \
		$(CURDIR)/debian/muroard-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libmuroard-backend.a
